gnutls_x509_privkey_import_rsa_raw(3)

NAME
gnutls_x509_privkey_import_rsa_raw - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_privkey_import_rsa_raw(gnutls_x509_privkey_t key, const gnutls_datum_t * m, const gnutls_datum_t * e, const gnutls_datum_t * d, const gnutls_datum_t * p, const gnutls_datum_t * q, const gnutls_datum_t * u);

ARGUMENTS

gnutls_x509_privkey_t key
    The structure to store the parsed key

const gnutls_datum_t * m
    holds the modulus

const gnutls_datum_t * e
    holds the public exponent

const gnutls_datum_t * d
    holds the private exponent

const gnutls_datum_t * p
    holds the first prime (p)

const gnutls_datum_t * q
    holds the second prime (q)

const gnutls_datum_t * u
    holds the coefficient

DESCRIPTION
This function will convert the given RSA raw parameters to the native gnutls_x509_privkey_t format. The output will be stored in key.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.